Skip to main content
System Management/User Configuration
GETUser ConfigurationSince 3.4.0SynchronousAuth Required

Query Two-Factor Authentication

Query Two-Factor Authentication

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error, the cause of the current error. This field is null if there is no root error

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The resource UUID, uniquely identifying this resource

    • secretStringRequired

      Two-factor authentication secret

    • userUuidStringRequired

      User UUID

    • userTypeStringRequired

      用户类型。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • statusTwoFactorAuthenticationSecretStatusRequired

      For details, see status

      • nameStringRequired

        Resource name

      • ordinalintRequired

        No description provided.

Endpoint

GET/zstack/v1/twofactorauthentication/secrets

/zstack/v1/twofactorauthentication/secrets

Operation ID

QueryTwoFactorAuthentication

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/twofactorauthentication/secrets' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "16620c01d20b390891ae1a1bc072ac0b", "secret": "ABCDEFGH12345678", "userUuid": "264d446f00e43793a2b0dcd21c367aaf", "userType": "AccountVO", "status": "NewCreated" } ] }

Change History

This API has no change history records yet.

View all change history